; NOLINK CLEAN
; 

    .486                                ; create 32 bit code
    .model flat, stdcall                ; 32 bit memory model
    option casemap :none                ; case sensitive
  
; 

include sqlitevb.inc

; 
    .code
; 

; 

.code

; 

SingleInsertInto PROC lDB:DWORD, spTable:DWORD, spColumns:DWORD, saValues:DWORD
    invoke  Begin, lDB
    .if(!eax)
        invoke  InsertInto, spTable, spColumns, saValues
        .if(eax)
            invoke  Rollback
            xor     eax, eax
        .else
            invoke  Commit
            or      eax, -1
        .endif
    .else
        xor     eax, eax
    .endif
    ret
SingleInsertInto ENDP

; 

SingleUpdate PROC lDB:DWORD, spTable:DWORD, spWhereClause:DWORD, spColumns:DWORD, saValues:DWORD
    invoke  Begin, lDB
    .if(!eax)
        invoke  Update, spTable, spWhereClause, spColumns, saValues
        .if(eax)
            invoke  Rollback
            xor     eax, eax
        .else
            invoke  Commit
            or      eax, -1
        .endif
    .else
        xor     eax, eax
    .endif
    ret
SingleUpdate ENDP

; 

SingleDelete PROC lDB:DWORD, spTable:DWORD, spWhereClause:DWORD
    invoke  Begin, lDB
    .if(!eax)
        invoke  Delete, spTable, spWhereClause
        .if(eax)
            invoke  Rollback
            xor     eax, eax
        .else
            invoke  Commit
            or      eax, -1
        .endif
    .else
        xor     eax, eax
    .endif
    ret
SingleDelete ENDP

; 

SingleExecute PROC lDB:DWORD, sStatement:DWORD
    invoke  Begin, lDB
    invoke  Execute, sStatement
    .if(eax)
        invoke  Rollback
        xor     eax, eax
    .else
        invoke  Commit
        or      eax, -1
    .endif
    ret
SingleExecute ENDP

; 

END
