includelib SQLITE3.3.8\sqlite3.lib

SQLITE_VERSION_NUMBER		EQU			3003005

SQLITE_OK				EQU			0
SQLITE_DENY				EQU			1
SQLITE_IGNORE			EQU			2

SQLITE_INTEGER			EQU			1
SQLITE_FLOAT			EQU			2
SQLITE_TEXT				EQU			3
SQLITE_BLOB				EQU			4
SQLITE_NULL				EQU			5

SQLITE_ERROR			EQU			1
SQLITE_INTERNAL			EQU			2
SQLITE_PERM				EQU			3
SQLITE_ABORT			EQU			4
SQLITE_BUSY				EQU			5
SQLITE_LOCKED			EQU			6
SQLITE_NOMEM			EQU			7
SQLITE_READONLY			EQU			8
SQLITE_INTERRUPT			EQU			9
SQLITE_IOERR			EQU			10
SQLITE_CORRUPT			EQU			11
SQLITE_NOTFOUND			EQU			12
SQLITE_FULL				EQU			13
SQLITE_CANTOPEN			EQU			14
SQLITE_PROTOCOL			EQU			15
SQLITE_EMPTY			EQU			16  ; 10h
SQLITE_SCHEMA			EQU			17  ; 11h
SQLITE_TOOBIG			EQU			18  ; 12h
SQLITE_CONSTRAINT			EQU			19  ; 13h
SQLITE_MISMATCH			EQU			20  ; 14h
SQLITE_MISUSE			EQU			21  ; 15h
SQLITE_NOLFS			EQU			22  ; 16h
SQLITE_AUTH				EQU			23  ; 17h
SQLITE_FORMAT			EQU			24  ; 18h
SQLITE_RANGE			EQU			25  ; 19h
SQLITE_NOTADB			EQU			26  ; 1Ah
SQLITE_ROW				EQU			100 ; 64h
SQLITE_DONE				EQU			101 ; 65h


SQLITE_STATIC			EQU			0
SQLITE_TRANSIENT			EQU			-1

SQLITE_UTF8				EQU			1
SQLITE_UTF16BE			EQU			2
SQLITE_UTF16LE			EQU			3
SQLITE_UTL16			EQU			4
SQLITE_ANY				EQU			5
SQLITE_UTF16_ALIGNED		EQU			6


SQLITE_COPY				EQU			 0
SQLITE_CREATE_INDEX		EQU			 1
SQLITE_CREATE_TABLE		EQU			 2
SQLITE_CREATE_TEMP_INDEX	EQU			 3
SQLITE_CREATE_TEMP_TABLE	EQU			 4
SQLITE_CREATE_TEMP_TRIGGER	EQU			 5
SQLITE_CREATE_TEMP_VIEW		EQU			 6
SQLITE_CREATE_TRIGGER		EQU			 7
SQLITE_CREATE_VIEW		EQU			 8
SQLITE_DELETE			EQU			 9
SQLITE_DROP_INDEX			EQU			10
SQLITE_DROP_TABLE			EQU			11
SQLITE_DROP_TEMP_INDEX		EQU			12
SQLITE_DROP_TEMP_TABLE		EQU			13
SQLITE_DROP_TEMP_TRIGGER	EQU			14
SQLITE_DROP_TEMP_VIEW		EQU			15
SQLITE_DROP_TRIGGER		EQU			16
SQLITE_DROP_VIEW			EQU			17
SQLITE_INSERT			EQU			18
SQLITE_PRAGMA			EQU			19
SQLITE_READ				EQU			20
SQLITE_SELECT			EQU			21
SQLITE_TRANSACTION		EQU			22
SQLITE_UPDATE			EQU			23
SQLITE_ATTACH			EQU			24
SQLITE_DETACH			EQU			25
SQLITE_ALTER_TABLE		EQU			26
SQLITE_REINDEX			EQU			27
SQLITE_ANALYZE			EQU			28


sqlite3_aggregate_context	PROTO C	dbase_context:DWORD, bytes:DWORD
sqlite3_aggregate_count		PROTO C	dbase_context:DWORD
sqlite3_bind_blob			PROTO C	sql_stmt:DWORD, parameter:DWORD, blob:DWORD, bytes:DWORD, destructor:DWORD
sqlite3_bind_double		PROTO C	sql_stmt:DWORD, parameter:DWORD, value:QWORD
sqlite3_bind_int			PROTO C	sql_stmt:DWORD, parameter:DWORD, value:DWORD
sqlite3_bind_int64		PROTO C	sql_stmt:DWORD, parameter:DWORD, value:QWORD
sqlite3_bind_null			PROTO C	sql_stmt:DWORD, parameter:DWORD
sqlite3_bind_parameter_count	PROTO C	sql_stmt:DWORD
sqlite3_bind_parameter_index	PROTO C	sql_stmt:DWORD, paramname:DWORD
sqlite3_bind_parameter_name	PROTO C	sql_stmt:DWORD, parameter:DWORD
sqlite3_bind_text			PROTO C	sql_stmt:DWORD, parameter:DWORD, text:DWORD, bytes:DWORD, destructor:DWORD
sqlite3_bind_text16		PROTO C	sql_stmt:DWORD, parameter:DWORD, text:DWORD, bytes:DWORD, destructor:DWORD
sqlite3_busy_handler		PROTO C	dbase:DWORD, handler:DWORD, unknown:DWORD
sqlite3_busy_timeout		PROTO C	dbase:DWORD, ms:DWORD
sqlite3_changes			PROTO C	dbase:DWORD
sqlite3_clear_bindings		PROTO C	sql_stmt:DWORD
sqlite3_close			PROTO C	dbase:DWORD
sqlite3_collation_needed	PROTO C	dbase:DWORD, param:DWORD, callback:DWORD	; callback PROTO param:DWORD, dbase:DWORD, text_type:DWORD, sequence:DWORD
sqlite3_collation_needed16	PROTO C	dbase:DWORD, param:DWORD, callback:DWORD	; callback PROTO (ditto)
sqlite3_column_blob		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_bytes		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_bytes16		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_count		PROTO C	sql_stmt:DWORD
sqlite3_column_database_name	PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_database_name16 PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_decltype		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_decltype16	PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_double		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_int		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_int64		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_name		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_name16		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_text		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_text16		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_column_type		PROTO C	sql_stmt:DWORD, column:DWORD
sqlite3_commit_hook		PROTO C	dbase:DWORD, callback:DWORD, param:DWORD	; callback PROTO param:DWORD
sqlite3_complete			PROTO C	sql:DWORD
sqlite3_complete16		PROTO C	sql:DWORD
sqlite3_create_collation	PROTO C	dbase:DWORD, sequence:DWORD, text_type:DWORD, param:DWORD, callback:DWORD	; callback PROTO (same as collation_needed)
sqlite3_create_collation16	PROTO C	dbase:DWORD, sequence:DWORD, text_type:DWORD, param:DWORD, callback:DWORD	; callback PROTO (same as collation_needed16)

								; for create_function: function/step PROTO dbase_context:DWORD, unknown:DWORD, value:DWORD
								;                      final PROTO dbase_context:DWORD
sqlite3_create_function		PROTO C	dbase:DWORD, function_name:DWORD, argcount:DWORD, text_type:DWORD, user_data:DWORD, function:DWORD, step:DWORD, final:DWORD
sqlite3_create_function16	PROTO C	dbase:DWORD, function_name:DWORD, argcount:DWORD, text_type:DWORD, user_data:DWORD, function:DWORD, step:DWORD, final:DWORD
sqlite3_data_count		PROTO C	sql_stmt:DWORD
sqlite3_db_handle			PROTO C	sql_stmt:DWORD
sqlite3_enable_shared_cache	PROTO C	enable:DWORD
sqlite3_errcode			PROTO C	dbase:DWORD
sqlite3_errmsg			PROTO C	dbase:DWORD
sqlite3_errmsg16			PROTO C	dbase:DWORD
sqlite3_exec			PROTO C	dbase:DWORD, sql:DWORD, callback:DWORD, param:DWORD, errormsg:DWORD	; callback PROTO param:DWORD, colcount:DWORD, values:DWORD, columns:DWORD
sqlite3_expired			PROTO C	sql_stmt:DWORD
sqlite3_finalize			PROTO C	sql_stmt:DWORD
sqlite3_free			PROTO C	any:DWORD
sqlite3_free_table		PROTO C	table:DWORD
sqlite3_get_autocommit		PROTO C	dbase:DWORD
sqlite3_get_auxdata		PROTO C	dbase_context:DWORD, parameter:DWORD
sqlite3_get_table			PROTO C	dbase:DWORD, sql:DWORD, results:DWORD, rows:DWORD, columns:DWORD, errormsg:DWORD
sqlite3_global_recover		PROTO C	
sqlite3_interrupt			PROTO C	dbase:DWORD
sqlite3_last_insert_rowid	PROTO C	dbase:DWORD
sqlite3_libversion		PROTO C	
sqlite3_libversion_number	PROTO C	
sqlite3_mprintf			PROTO C		format:DWORD, params:VARARG
sqlite3_open			PROTO C	filename:DWORD, ptr_dbase:DWORD
sqlite3_open16			PROTO C	filename:DWORD, ptr_dbase:DWORD
sqlite3_prepare			PROTO C	dbase:DWORD, sql:DWORD, bytes:DWORD, ptr_sql_stmt:DWORD, tail:DWORD
sqlite3_prepare16			PROTO C	dbase:DWORD, sql:DWORD, bytes:DWORD, ptr_sql_stmt:DWORD, tail:DWORD
sqlite3_progress_handler	PROTO C	dbase:DWORD, interval:DWORD, callback:DWORD, param:DWORD	   ; callback PROTO param:DWORD
sqlite3_release_memory		PROTO C	bytes:DWORD
sqlite3_reset			PROTO C	sql_stmt:DWORD
sqlite3_result_blob		PROTO C	dbase_context:DWORD, blob:DWORD, bytes:DWORD, destructor:DWORD
sqlite3_result_double		PROTO C	dbase_context:DWORD, value:QWORD
sqlite3_result_error		PROTO C	dbase_context:DWORD, text:DWORD, bytes:DWORD
sqlite3_result_error16		PROTO C	dbase_context:DWORD, text:DWORD, bytes:DWORD
sqlite3_result_int		PROTO C	dbase_context:DWORD, value:DWORD
sqlite3_result_int64		PROTO C	dbase_context:DWORD, value:QWORD
sqlite3_result_null		PROTO C	dbase_context:DWORD
sqlite3_result_text		PROTO C	dbase_context:DWORD, text:DWORD
sqlite3_result_text16		PROTO C	dbase_context:DWORD, text:DWORD
sqlite3_result_text16be		PROTO C	dbase_context:DWORD, text:DWORD
sqlite3_result_text16le		PROTO C	dbase_context:DWORD, text:DWORD
sqlite3_result_value		PROTO C	dbase_context:DWORD, value:DWORD
sqlite3_rollback_hook		PROTO C	dbase:DWORD, callback:DWORD, param:DWORD	; callback PROTO param:DWORD
sqlite3_set_authorizer		PROTO C	dbase:DWORD, callback:DWORD, param:DWORD     ; callback PROTO param:DWORD, operation:DWORD, arg1:DWORD, arg2:DWORD, dbase_name:DWORD, sender:DWORD
sqlite3_sleep			PROTO C	ms:DWORD
sqlite3_soft_heap_limit		PROTO C	bytes:DWORD
sqlite3_step			PROTO C	sql_stmt:DWORD
sqlite3_table_column_metadata	PROTO C	dbase:DWORD, dbase_name:DWORD, table_name:DWORD, column_name:DWORD, data_type:DWORD, collation:DWORD, not_null:DWORD, primary_key:DWORD, auto_inc:DWORD
sqlite3_thread_cleanup		PROTO C	
sqlite3_total_changes		PROTO C	dbase:DWORD
sqlite3_trace			PROTO C	dbase:DWORD, callback:DWORD, param:DWORD	; callback PROTO param:DWORD, sql:DWORD
sqlite3_transfer_bindings	PROTO C	sql_stmt1:DWORD, sql_stmt2:DWORD
sqlite3_update_hook		PROTO C	dbase:DWORD, callback:DWORD, param:DWORD	; callback PROTO param:DWORD, operation:DWORD, dbase_name:DWORD, table_name:DWORD, rowid:DWORD
sqlite3_user_data			PROTO C	dbase_context:DWORD
sqlite3_value_blob		PROTO C	value:DWORD
sqlite3_value_bytes		PROTO C	value:DWORD
sqlite3_value_bytes16		PROTO C	value:DWORD
sqlite3_value_double		PROTO C	value:DWORD
sqlite3_value_int			PROTO C	value:DWORD
sqlite3_value_int64		PROTO C	value:DWORD
sqlite3_value_text		PROTO C	value:DWORD
sqlite3_value_text16		PROTO C	value:DWORD
sqlite3_value_text16be		PROTO C	value:DWORD
sqlite3_value_text16le		PROTO C	value:DWORD
sqlite3_value_type		PROTO C	value:DWORD
sqlite3_vmprintf			PROTO C		format:DWORD, values:DWORD
